LILO(8)

NOME
lilo - instala o carregador de inicialização

SINOPSE
Função principal:

/sbin/lilo - instala o carregador de inicialização

Usos auxiliares:

/sbin/lilo -q - mapa de pesquisa
/sbin/lilo -R - define a nova linha de comando a ser usada na próxima reinicialização
/sbin/lilo -I - solicita o nome do caminho do kernel atual
/sbin/lilo {-u|-U} - desinstala o lilo

DESCRIÇÃO

lilo instala um carregador de inicialização que será ativado da próxima vez que o sistema for iniciado. Ele tem diversas opções:

-v  Aumenta o número de mensagens. Fornecendo-se uma ou mais opções -v fará com que o lilo apresente maior número de mensagens.

-q  Lista os arquivos atualmente mapeados. lilo mantém um arquivo, por padrão /boot/map, contendo o nome e a localização do kernel(is) para inicialização. Esta opção irá listar seus nomes.

-m mapa
    Usa um arquivo de mapa específico ao invés do padrão.

-C arquivo de configuração
    lilo lê as instruções sobre quais arquivos mapear a partir do arquivo de configuração, por padrão /etc/lilo.conf. Esta opção pode ser usada para especificar um outro arquivo de configuração.

-d retardo
    Caso se tenha diversos kerneis especificados, e pressionando-se Shift durante a inicialização do sistema, o carregador irá apresentar uma lista de opções de qual sistema para ser inicializado. Após um tempo de espera o primeiro kernel da lista será inicializado. Esta opção especifica este tempo de espera em décimos de segundos.

-D rótulo
    Usa o kernel com o rótulo especificado, ao invés do primeiro da lista, como o kernel padrão para iniciar.

-r diretório-raiz
    Antes de fazer qualquer coisa, executa o comando chroot para o diretório indicado. Usado para reparar uma configuração a partir de um disquete de inicialização.

-t  Teste somente. Não grava realmente um novo setor de inicialização ou arquivo de mapas. Usado com -v ajuda a descobrir o que lilo irá fazer.

-c  Habilita a compactação do mapa. Isso irá misturá-lo com as requisições de leitura de setores adjacentes. Aumenta a velocidade de inicialização, especialmente a partir de disquetes.

-f arquivo
    Especifica o arquivo de geometria do disco ( o padrão é /etc/disktab.)

-i setor-de-inicialização
    Especifica um arquivo a ser usado como o novo setor de inicialização (o padrão é /boot/boot.b).

-l  Gera endereços de setor lineares ao invés de usar endereços setor/cabeça/cilindro.

-P {fix|ignore}
    Corrige (ou ignora) tabelas de partições corrompidas, isto é, tabelas de partições com endereços linear e setor/cabeça/cilindro que não correspondam.

-s arquivo-a-salvar
    Quando o lilo regrava um setor de inicialização, ele preserva o conteúdo antigo em um arquivo, por padrão /boot/boot.NNNN onde NNNN depende do dispositivo. Esta opção especifica um arquivo alternativo para o setor de inicialização (ou junto com a opção -u, especifica de onde restaurar o setor).

-S arquivo-a-salvar
    Normalmente, o lilo não regravará um arquivo já existente. Esta opção diz que a regravação esta autorizada.

-u nome-dispositivo
    Desinstala o lilo, copiando o setor de inicialização salvo de volta. A data do arquivo é verificada.

-U nome-dispositivo
    Idem, mas não verifica a data.

-R linha de comando
    Esta opção configura o comando padrão do carregador na próxima vez em que ele for executado. O lilo irá apagar esta linha, ou seja este comando é executado somente uma única vez. É tipicamente usado em programas de reinicialização do sistema, imediatamente antes de executar `shutdown -r'.

-I rótulo
    A identificação do kernel em execução pode ser encontrada na variável de ambiente BOOT_IMAGE após o início do sistema. Este comando irá imprimir o nome do caminho correspondente na saída padrão.

-V  Imprime a versão do programa.

As opções de linha de comando listadas acima correspondem a palavras chaves no arquivo de configuração listadas a seguir.

    -b bootdev | boot=bootdev
    -c | compact
    -d dsec | delay=dsec
    -D label | default=label
    -i bootsector | install=bootsector
    -f file | disktab=file
    -l | linear
    -m mapfile | map=mapfile
    -P fix | fix-table
    -P ignore | ignore-table
    -s file | backup=file
    -S file | force-backup=file
    -v | verbose=level

VEJA TAMBÉM
lilo.conf(5).
A distribuição do lilo vem acompanhada de uma extensiva documentação.

AUTOR
Werner Almesberger (almesber@bernina.ethz.ch).

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Leslie Harlley Watter <leslie@netpar.com.br> (revisão)